%define module mpmath

Name: python-mpmath
Version: 0.19
Release: %mkrel 3
Summary: Python library for arbitrary-precision floating-point arithmetic
Group: Development/Python
License: BSD
URL: http://mpmath.org/
Source0: https://pypi.python.org/packages/source/m/%{module}/%{module}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python-setuptools
Recommends: python-gmpy
Recommends: python-matplotlib

%description
A Python library for arbitrary-precision floating-point arithmetic.

%package -n python3-%{module}
Summary: Python library for arbitrary-precision floating-point arithmetic
Group: Development/Python
BuildRequires: python3-setuptools
Recommends: python3-matplotlib

%description -n python3-%{module}
A Python library for arbitrary-precision floating-point arithmetic.

%prep
%setup -qn %{module}-%{version}
# Convert line encodings
for doc in LICENSE CHANGES PKG-INFO README mpmath/tests/runtests.py; do
 sed "s|\r||g" $doc > $doc.new && \
 touch -r $doc $doc.new && \
 mv $doc.new $doc
done

# Get rid of unnecessary shebangs
for lib in mpmath/elliptic.py mpmath/tests/runtests.py; do
 sed '/#!\/usr\/bin\/env/d' $lib > $lib.new && \
 touch -r $lib $lib.new && \
 mv $lib.new $lib
done
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%check
export PYTHONPATH=`pwd`/build/lib
cd build/lib/mpmath/tests/
%{__python} runtests.py
pushd %{py3dir}
export PYTHONPATH=`pwd`/build/lib
cd build/lib/mpmath/tests/
%{__python3} runtests.py
popd

%files
%doc README.new CHANGES
%{python_sitelib}/%{module}/
%{python_sitelib}/%{module}-%{version}-*.egg-info

%files -n python3-%{module}
%doc README.new CHANGES
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-*.egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.19-3.mga6
+ Revision: 970943
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.19-2.mga6
+ Revision: 888814
- rebuild for python 3.5

* Wed Sep 09 2015 fwang <fwang> 0.19-1.mga6
+ Revision: 874536
- update doc files
- use new macro
- 0.19

* Wed Oct 15 2014 umeabot <umeabot> 0.17-8.mga5
+ Revision: 748462
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.17-7.mga5
+ Revision: 729129
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.17-6.mga5
+ Revision: 688162
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 0.17-5.mga5
+ Revision: 628818
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.17-4.mga4
+ Revision: 543714
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.17-3.mga4
+ Revision: 498944
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 11 2013 philippem <philippem> 0.17-2.mga4
+ Revision: 477754
- add Python 3

* Tue Feb 12 2013 fwang <fwang> 0.17-1.mga3
+ Revision: 397969
- add suggests per upstream
- imported package python-mpmath

